import { LitElement, type PropertyValues } from 'lit';
import type { Bindings } from '../atomic-search-interface/interfaces';
import type { InitializableComponent } from '../../../decorators/types';
import '../atomic-result-text/atomic-result-text';
declare const AtomicResultFieldsList_base: import("../../../mixins/mixin-common").Constructor<{
    injectStyles(dynamicStyles?: import("lit").CSSResultGroup): Promise<void>;
}> & typeof LitElement & import("../../../mixins/mixin-common").Constructor<import("../../../mixins/slots-for-no-shadow-dom-mixin").LightDOMWithSlots>;
/**
 * The `atomic-result-fields-list` component selectively renders its children to ensure they fit the parent element and adds dividers between them.
 * @slot default - The children to render.
 */
export declare class AtomicResultFieldsList extends AtomicResultFieldsList_base implements InitializableComponent<Bindings> {
    static styles: import("lit").CSSResult;
    bindings: Bindings;
    error: Error;
    private result;
    private resultController;
    private resizeObserver?;
    private updatingChildren;
    private rows;
    connectedCallback(): void;
    disconnectedCallback(): void;
    initialize(): void;
    protected updated(_changedProperties: PropertyValues): void;
    private updateLayout;
    private get hostChildren();
    private get isOverflowing();
    private getSortedChildrenBySize;
    private hide;
    private show;
    private isChildHidden;
    private setHideDivider;
    private showChildren;
    private showDividers;
    private hideChildrenToFit;
    private hideDividersAtEndOfRows;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'atomic-result-fields-list': AtomicResultFieldsList;
    }
}
export {};
